Package twisted :: Package coil :: Package plugins :: Module web :: Class SiteConfigurator

[show private | hide private]
[frames | no frames]

## Class SiteConfigurator

    Configurator --+
                   |
                  SiteConfigurator

Configurator for web sites.

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| `config_logPath(self, logPath)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| `getStaticEntity(self, name)`
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| `listStaticEntities(self)`

Class Variable Summary
`tuple` | `__implements__`
`str` | `configName`
`dict` | `configTypes`
`class` | `Site`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.coil.coil.IConfigurator'>,
         <class 'twisted.coil.coil.IStaticCollection'>)

### configName

  Type:
    `str`
  Value:

        'HTTP Web Site'

### configTypes

  Type:
    `dict`
  Value:

        {'logPath': [<type 'str'>, 'Logfile', 'Path to web log file.'],
         'resource': [<class 'twisted.web.resource.IResource'>,
                      'Resource',
                      "The resource at the site's root."]}

### Site

`Site` = `twisted.web.server.Site`

Generated by Epydoc 1.1 on Thu May 8 13:18:18 2003 | http://epydoc.sf.net